Browse Source

Merge remote-tracking branch 'upstream/main' into ipv6

asmcc 2 years ago
parent
commit
298eed6720
6 changed files with 64 additions and 22 deletions
  1. 16 0
      CHANGELOG.md
  2. 1 1
      README.md
  3. 20 18
      bin/v-delete-remote-dns-record
  4. 24 0
      install/upgrade/versions/1.7.7.sh
  5. 1 1
      src/deb/nginx/hestia
  6. 2 2
      src/deb/nginx/nginx.conf

+ 16 - 0
CHANGELOG.md

@@ -2,6 +2,22 @@
 
 All notable changes to this project will be documented in this file.
 
+## [1.7.7] - Service release
+
+### Bugfixes
+
+- Fix #3588: Delete issue DNS record (#3589)
+- Tidy notifications copy (#3561)
+- Predefined ipset lists not loading #3552 (#3557)
+
+## [1.7.6] - Service release
+
+### Bugfixes
+
+- Fixed Error message "deleted" before shown due to register_shutdown_function (#3548 #3547)
+- Fixed an in issue in humanize_usage_size with number format (#3546 #3547)
+- Fixed rounding issue with humanize_usage_measure (#3540 #3541)
+
 ## [1.7.5] - Service release
 
 ### Bugfixes

+ 1 - 1
README.md

@@ -4,7 +4,7 @@
 
 <h2 align="center">Lightweight and powerful control panel for the modern web</h2>
 
-<p align="center"><strong>Latest stable release:</strong> Version 1.7.4 | <a href="https://github.com/hestiacp/hestiacp/blob/release/CHANGELOG.md">View Changelog</a></p>
+<p align="center"><strong>Latest stable release:</strong> Version 1.7.7 | <a href="https://github.com/hestiacp/hestiacp/blob/release/CHANGELOG.md">View Changelog</a></p>
 
 <p align="center">
 	<a href="https://www.hestiacp.com/">HestiaCP.com</a> |

+ 20 - 18
bin/v-delete-remote-dns-record

@@ -42,30 +42,32 @@ check_hestia_demo_mode
 #                       Action                             #
 #----------------------------------------------------------#
 
-# Starting cluster loop
-IFS=$'\n'
-for cluster in $(cat $HESTIA/conf/dns-cluster.conf); do
+if [ "$DNS_CLUSTER_SYSTEM" != "hestia-zone" ]; then
+	# Starting cluster loop
+	IFS=$'\n'
+	for cluster in $(cat $HESTIA/conf/dns-cluster.conf); do
 
-	# Reset user, password and hash vars
-	clear_dns_cluster_settings
+		# Reset user, password and hash vars
+		clear_dns_cluster_settings
 
-	# Parsing remote host parameters
-	parse_object_kv_list "$cluster"
+		# Parsing remote host parameters
+		parse_object_kv_list "$cluster"
 
-	# Syncing serial
-	str=$(grep "DOMAIN='$domain'" $USER_DATA/dns.conf)
-	cluster_cmd v-insert-dns-domain "$DNS_USER" "$str" "$HOSTNAME" 'domain' 'no'
-	check_result $? "$HOST connection failed (soa sync)" "$E_CONNECT"
+		# Syncing serial
+		str=$(grep "DOMAIN='$domain'" $USER_DATA/dns.conf)
+		cluster_cmd v-insert-dns-domain "$DNS_USER" "$str" "$HOSTNAME" 'domain' 'no'
+		check_result $? "$HOST connection failed (soa sync)" "$E_CONNECT"
 
-	# Sync domain
-	cluster_cmd v-delete-dns-record "$DNS_USER" "$domain" "$id" 'no'
-	#check_result $? "$HOST connection failed (delete)" $E_CONNECT
+		# Sync domain
+		cluster_cmd v-delete-dns-record "$DNS_USER" "$domain" "$id" 'no'
+		#check_result $? "$HOST connection failed (delete)" $E_CONNECT
 
-	# Rebuilding dns zone
-	cluster_cmd v-rebuild-dns-domain "$DNS_USER" "$domain" 'yes' 'no'
-	check_result $? "$HOST connection failed (rebuild)" "$E_CONNECT"
+		# Rebuilding dns zone
+		cluster_cmd v-rebuild-dns-domain "$DNS_USER" "$domain" 'yes' 'no'
+		check_result $? "$HOST connection failed (rebuild)" "$E_CONNECT"
 
-done
+	done
+fi
 
 #----------------------------------------------------------#
 #                       Hestia                             #

+ 24 - 0
install/upgrade/versions/1.7.7.sh

@@ -0,0 +1,24 @@
+#!/bin/bash
+
+# Hestia Control Panel upgrade script for target version 1.7.7
+
+#######################################################################################
+#######                      Place additional commands below.                   #######
+#######################################################################################
+####### upgrade_config_set_value only accepts true or false.                    #######
+#######                                                                         #######
+####### Pass through information to the end user in case of a issue or problem  #######
+#######                                                                         #######
+####### Use add_upgrade_message "My message here" to include a message          #######
+####### in the upgrade notification email. Example:                             #######
+#######                                                                         #######
+####### add_upgrade_message "My message here"                                   #######
+#######                                                                         #######
+####### You can use \n within the string to create new lines.                   #######
+#######################################################################################
+
+upgrade_config_set_value 'UPGRADE_UPDATE_WEB_TEMPLATES' 'false'
+upgrade_config_set_value 'UPGRADE_UPDATE_DNS_TEMPLATES' 'false'
+upgrade_config_set_value 'UPGRADE_UPDATE_MAIL_TEMPLATES' 'false'
+upgrade_config_set_value 'UPGRADE_REBUILD_USERS' 'false'
+upgrade_config_set_value 'UPGRADE_UPDATE_FILEMANAGER_CONFIG' 'false'

+ 1 - 1
src/deb/nginx/hestia

@@ -31,7 +31,7 @@ set -e
 
 . /etc/profile.d/hestia.sh
 
-adapt_nginx_config()	{
+adapt_nginx_config() {
 	ipv4_string="$(ip -4 addr show scope global | sed -ne '/^[ \t]*inet[6]*/p')"
 	ipv6_string="$(ip -6 addr show scope global | sed -ne '/^[ \t]*inet[6]*/p')"
 	if [ -n "$ipv4_string" ]; then

+ 2 - 2
src/deb/nginx/nginx.conf

@@ -92,8 +92,8 @@ http {
 
 	# Vhost
 	server {
-#IPV4		listen				8083 ssl;
-#IPV6		listen				[::]:8083 ssl;
+		#IPV4		listen				8083 ssl;
+		#IPV6		listen				[::]:8083 ssl;
 		server_name         _;
 		root                /usr/local/hestia/web;
 		# Fix error "The plain HTTP request was sent to HTTPS port"